<?php
#include_once 'classes/TestProjektSmarty.class.php';
#require_once("config.inc.php");

/*
Mail von Silke Henzel am 07.07.2011

2) Eine Idee kann in einer Sitzung dann besprochen werden, wenn alle Fristen abgelaufen sind 
   und mindestens ein Gutachten und alle Stellungnahmen der Beteiligten vorliegen
   
   Der Vorschlag darf auch nicht bereits in einer geplanten Sitzung behandelt werden.
*/
function sitzung_terminieren($vid){
global $db;
 # Wenn 0, dann sind alle Fristen abgelaufen
 $query_fust1 = $db->query("SELECT count(*) Anz
                               FROM imt_gutachter
                              WHERE frist_datum_abgabe > date_format(now(), '%Y-%m-%d')
                                AND vid = '$vid'
                           ");
 $row_fust1 = $query_fust1->fetch_array();
 

 # Wenn 0, dann sind alle Fristen abgelaufen
 $query_fust2 = $db->query("SELECT count(*) Anz
                               FROM imt_beteiligte
                              WHERE frist_datum > date_format(now(), '%Y-%m-%d')
                                AND vid = '$vid'
                           ");
 $row_fust2 = $query_fust2->fetch_array();
 
 if($row_fust1[Anz] == 0 AND $row_fust2[Anz] == 0){
   
   # Prüfen, ob alle Stellungsnahmen eingegangen sind
   $query_fust3 = $db->query("SELECT count(*) Anz
                                 FROM imt_beteiligte
                                WHERE stellung_dat != '0000-00-00 00:00:00'
                                  AND vid = '$vid'
                             ");
   $row_fust3 = $query_fust3->fetch_array();
   
   
   # Mail Frau Ranz vom 04.06.2012, dass mind. 1 Stellungnahme genügt, nicht alle eingegangen sein müssen
   /*
   # Prüfen, ob alle Stellungsnahmen eingegangen sind
   $query_fust3 = $db->query("SELECT count(*) Anz
                                 FROM imt_beteiligte
                                WHERE stellung_dat = '0000-00-00 00:00:00'
                                  AND vid = '$vid'
                             ");
   $row_fust3 = $query_fust3->fetch_array();
   
   # Mail Frau Ranz, dass mind. 1 Stellungnahme genügt, nicht alle eingegangen sien müssen
   if($row_fust3[Anz] == 0){
   */
   
   if($row_fust3[Anz] >= 1){
     
     # Prüfen, ob mind 1 Gutachten eingegangen sind
     $query_fust4 = $db->query("SELECT count(*) Anz
                                   FROM imt_gutachter
                                  WHERE stellung_dat != '0000-00-00 00:00:00'
                                    AND vid = '$vid'
                               ");
     $row_fust4 = $query_fust4->fetch_array();
     if($row_fust4[Anz] >= 1){
       return 0; 
     }else{
       # Es fehlt min ein Gutachten
       # Es wird kein Gutachten mehr benötigt,daher auch Status 0 statt 1
       #return 1; 
       return 0; 
     }
   
   }else{
     # Warten auf Stellungnahmen.
     # Es wird kein Gutachten mehr benötigt,daher auch Status 0 statt 2
     return 0; 
   }
 }else{
   # Abgabefristen nicht abgelaufen.
   return 3; 
 }
 
}

#if(sitzung_terminieren(3)){
#  echo "Sitzung terminieren";
#}else{
#  echo "Sitzung <b>nicht</b> terminieren";
#}

?>